Package org.kapott.hbci.manager

# Class FlickerCode.DE

java.lang.Object
org.kapott.hbci.manager.FlickerCode.DE

Direct Known Subclasses:
  `FlickerCode.Startcode`

Enclosing class:
  FlickerCode

public class FlickerCode.DE extends Object
Bean fuer die Eigenschaften eines einzelnen DE.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`data`
Die eigentlichen Nutzdaten des DE.
`FlickerCode.Encoding`
`encoding`
Das Encoding der Nutzdaten.
`int`
`lde`
Die Laengen-Angabe des DE im Roh-Format.
`int`
`ldeLen`
Die Laenge des LDE.
`int`
`length`
Die tatsaechliche Laenge des DE.

## Constructor Summary

Constructors
Constructor
Description
`DE()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### length

public int length
Die tatsaechliche Laenge des DE. Bereinigt um ggf. vorhandene Control-Bits.

### lde

public int lde
Die Laengen-Angabe des DE im Roh-Format. Sie kann noch Control-Bits enthalten, sollte daher also NICHT fuer Laengenberechnungen verwendet werden. In dem Fall stattdessen `length` verwenden.

### ldeLen

public int ldeLen
Die Laenge des LDE.

### encoding

public FlickerCode.Encoding encoding
Das Encoding der Nutzdaten. Per Definition ist im Challenge HHDuc dieses Bit noch NICHT gesetzt. Das Encoding passiert erst beim Rendering.

### data

public String data
Die eigentlichen Nutzdaten des DE.

## Constructor Details

### DE

public DE()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`
See Also:
  - `Object.equals(java.lang.Object)`